Bug 739372 - booting 3.1.0-rc6 as dom0 crashes xen, 3.1.0-rc5 did not
booting 3.1.0-rc6 as dom0 crashes xen, 3.1.0-rc5 did not
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-18 06:31 EDT by Andy Burns
Modified: 2011-09-22 16:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-21 16:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Burns 2011-09-18 06:31:06 EDT
Description of problem:

rc5 booted as dom0 (with a few bugchecks, but investigating those separately) however after upgrading to rc6 the kernel causes xen to crash

Version-Release number of selected component (if applicable):
kernel.x86_64       3.1.0-0.rc6.git0.0.fc16
xen.x86_64          4.1.1-3.fc16
                                       
How reproducible:
100%

Actual results:

(XEN) Xen version 4.1.1 (mockbuild@phx2.fedoraproject.org) (gcc version 4.6.1 20110715 (Red Hat 4.6.1-3) (GCC) ) Sun Aug 14 14:29: UTC 2011
(XEN) Latest ChangeSet: unavailable
(XEN) Bootloader: GRUB 1.99~rc1
(XEN) Command line: com1=115200,8n1 console=com1
(XEN) Video information:
(XEN)  VGA is text mode 80x25, font 8x16
(XEN)  VBE/DDC methods: V2; EDID transfer time: 2 seconds
(XEN) Disc information:
(XEN)  Found 0 MBR signatures
(XEN)  Found 6 EDD information structures
(XEN) Xen-e820 RAM map:
(XEN)  0000000000000000 - 000000000009cc00 (usable)
(XEN)  000000000009cc00 - 00000000000a0000 (reserved)
(XEN)  00000000000e5000 - 0000000000100000 (reserved)
(XEN)  0000000000100000 - 00000000cff80000 (usable)
(XEN)  00000000cff80000 - 00000000cff8e000 (ACPI data)
(XEN)  00000000cff8e000 - 00000000cffe0000 (ACPI NVS)
(XEN)  00000000cffe0000 - 00000000d0000000 (reserved)
(XEN)  00000000e0000000 - 00000000f0000000 (reserved)
(XEN)  00000000fee00000 - 00000000fee01000 (reserved)
(XEN)  00000000ffe00000 - 0000000100000000 (reserved)
(XEN)  0000000100000000 - 0000000230000000 (usable)
(XEN) ACPI: RSDP 000FAFF0, 0024 (r2 ACPIAM)
(XEN) ACPI: XSDT CFF80100, 0054 (r1 A_M_I_ OEMXSDT   2000913 MSFT       97)
(XEN) ACPI: FACP CFF80290, 00F4 (r3 A_M_I_ OEMFACP   2000913 MSFT       97)
(XEN) ACPI: DSDT CFF80450, 86FF (r1  A0863 A0863001        1 INTL 20060113)
(XEN) ACPI: FACS CFF8E000, 0040
(XEN) ACPI: APIC CFF80390, 0078 (r1 A_M_I_ OEMAPIC   2000913 MSFT       97)
(XEN) ACPI: MCFG CFF80410, 003C (r1 A_M_I_ OEMMCFG   2000913 MSFT       97)
(XEN) ACPI: OEMB CFF8E040, 0081 (r1 A_M_I_ AMI_OEM   2000913 MSFT       97)
(XEN) ACPI: HPET CFF88B50, 0038 (r1 A_M_I_ OEMHPET   2000913 MSFT       97)
(XEN) ACPI: OSFR CFF88B90, 00B0 (r1 A_M_I_ OEMOSFR   2000913 MSFT       97)
(XEN) System RAM: 8191MB (8387696kB)
(XEN) Domain heap initialised
(XEN) Processor #0 7:7 APIC version 20
(XEN) Processor #1 7:7 APIC version 20
(XEN) Processor #2 7:7 APIC version 20
(XEN) Processor #3 7:7 APIC version 20
(XEN) IOAPIC[0]: apic_id 4, version 32, address 0xfec00000, GSI 0-23
(XEN) IOAPIC[1]: apic_id 5, version 255, address 0xfec10000, GSI 24-279
(XEN) Enabling APIC mode:  Flat.  Using 2 I/O APICs
(XEN) Table is not found!
(XEN) Using scheduler: SMP Credit Scheduler (credit)
(XEN) Detected 2671.687 MHz processor.
(XEN) Initing memory sharing.
(XEN) I/O virtualisation disabled
(XEN) ENABLING IO-APIC IRQs
(XEN)  -> Using new ACK method
(XEN) Platform timer is 14.318MHz HPET
ΓΏ(XEN) Allocated console ring of 16 KiB.
(XEN) VMX: Supported advanced features:
(XEN)  - APIC MMIO access virtualisation
(XEN)  - APIC TPR shadow
(XEN)  - Virtual NMI
(XEN)  - MSR direct-access bitmap
(XEN) HVM: ASIDs disabled.
(XEN) HVM: VMX enabled
(XEN) Brought up 4 CPUs
(XEN) *** LOADING DOMAIN 0 ***
(XEN)  Xen  kernel: 64-bit, lsb, compat32
(XEN)  Dom0 kernel: 64-bit, PAE, lsb, paddr 0x1000000 -> 0x1ee8000
(XEN) PHYSICAL MEMORY ARRANGEMENT:
(XEN)  Dom0 alloc.:   0000000220000000->0000000224000000 (2012502 pages to be allocated)
(XEN)  Init. ramdisk: 000000022d5d6000->000000022ffffa00
(XEN) VIRTUAL MEMORY ARRANGEMENT:
(XEN)  Loaded kernel: ffffffff81000000->ffffffff81ee8000
(XEN)  Init. ramdisk: ffffffff81ee8000->ffffffff84911a00
(XEN)  Phys-Mach map: ffffffff84912000->ffffffff858a1c00
(XEN)  Start info:    ffffffff858a2000->ffffffff858a24b4
(XEN)  Page tables:   ffffffff858a3000->ffffffff858d4000
(XEN)  Boot stack:    ffffffff858d4000->ffffffff858d5000
(XEN)  TOTAL:         ffffffff80000000->ffffffff85c00000
(XEN)  ENTRY ADDRESS: ffffffff81b76200
(XEN) Dom0 has maximum 4 VCPUs
(XEN) Scrubbing Free RAM: .done.
(XEN) Xen trace buffers: disabled
(XEN) Std. Loglevel: Errors and warnings
(XEN) Guest Loglevel: Nothing (Rate-limited: Errors and warnings)
(XEN) *** Serial input -> DOM0 (type 'CTRL-a' three times to switch input to Xen)
(XEN) Freed 224kB init memory.
mapping kernel into physical memory
Xen: setup ISA identity maps
about to get started...
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.1.0-0.rc6.git0.0.fc16.x86_64 (mockbuild@x86-12.phx2.fedoraproject.org) (gcc version 4.6.1 20110824 ed Hat 4.6.1-8) (GCC) ) #1 SMP Mon Sep 12 22:46:15 UTC 2011
[    0.000000] Command line: placeholder root=/dev/mapper/vgr1-fc16_root ro console=hvc0
[    0.000000] Freeing  d0000-e0000 pfn range: 65536 pages freed
[    0.000000] Freeing  f0000-fec00 pfn range: 60416 pages freed
[    0.000000] Freeing  fec01-fec10 pfn range: 15 pages freed
[    0.000000] Freeing  fec11-fee00 pfn range: 495 pages freed
[    0.000000] Freeing  fee01-ffe00 pfn range: 4095 pages freed
[    0.000000] released 130557 pages of unused memory
[    0.000000] Set 196835 page(s) to 1-1 mapping.
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  Xen: 0000000000000000 - 000000000009c000 (usable)
[    0.000000]  Xen: 000000000009cc00 - 0000000000100000 (reserved)
[    0.000000]  Xen: 0000000000100000 - 00000000cff80000 (usable)
[    0.000000]  Xen: 00000000cff80000 - 00000000cff8e000 (ACPI data)
[    0.000000]  Xen: 00000000cff8e000 - 00000000cffe0000 (ACPI NVS)
[    0.000000]  Xen: 00000000cffe0000 - 00000000d0000000 (reserved)
[    0.000000]  Xen: 00000000e0000000 - 00000000f0000000 (reserved)
[    0.000000]  Xen: 00000000fec00000 - 00000000fec01000 (reserved)
[    0.000000]  Xen: 00000000fec10000 - 00000000fec11000 (reserved)
[    0.000000]  Xen: 00000000fee00000 - 00000000fee01000 (reserved)
[    0.000000]  Xen: 00000000ffe00000 - 0000000100000000 (reserved)
[    0.000000]  Xen: 0000000100000000 - 0000001373b00000 (usable)
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] DMI 2.4 present.
[    0.000000] No AGP bridge found
[    0.000000] last_pfn = 0x1373b00 max_arch_pfn = 0x400000000
[    0.000000] last_pfn = 0xcff80 max_arch_pfn = 0x400000000
[    0.000000] found SMP MP-table at [ffff8800000ff780] ff780
[    0.000000] init_memory_mapping: 0000000000000000-00000000cff80000
[    0.000000] init_memory_mapping: 0000000100000000-0000001373b00000
[    0.000000] RAMDISK: 01ee8000 - 04912000
[    0.000000] ACPI: RSDP 00000000000faff0 00024 (v02 ACPIAM)
[    0.000000] ACPI: XSDT 00000000cff80100 00054 (v01 A_M_I_ OEMXSDT  02000913 MSFT 00000097)
[    0.000000] ACPI: FACP 00000000cff80290 000F4 (v03 A_M_I_ OEMFACP  02000913 MSFT 00000097)
[    0.000000] ACPI: DSDT 00000000cff80450 086FF (v01  A0863 A0863001 00000001 INTL 20060113)
[    0.000000] ACPI: FACS 00000000cff8e000 00040
[    0.000000] ACPI: APIC 00000000cff80390 00078 (v01 A_M_I_ OEMAPIC  02000913 MSFT 00000097)
[    0.000000] ACPI: MCFG 00000000cff80410 0003C (v01 A_M_I_ OEMMCFG  02000913 MSFT 00000097)
[    0.000000] ACPI: OEMB 00000000cff8e040 00081 (v01 A_M_I_ AMI_OEM  02000913 MSFT 00000097)
[    0.000000] ACPI: HPET 00000000cff88b50 00038 (v01 A_M_I_ OEMHPET  02000913 MSFT 00000097)
[    0.000000] ACPI: OSFR 00000000cff88b90 000B0 (v01 A_M_I_ OEMOSFR  02000913 MSFT 00000097)
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at 0000000000000000-0000001373b00000
[    0.000000] Initmem setup node 0 0000000000000000-0000001373b00000
[    0.000000]   NODE_DATA [00000001f1f6c000 - 00000001f1f7ffff]
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   DMA32    0x00001000 -> 0x00100000
[    0.000000]   Normal   0x00100000 -> 0x01373b00
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[3] active PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009c
[    0.000000]     0: 0x00000100 -> 0x000cff80
[    0.000000]     0: 0x00100000 -> 0x01373b00
[    0.000000] ACPI: PM-Timer IO Port: 0x808
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[    0.000000] BIOS bug: APIC version is 0 for CPU 0/0x0, fixing up to 0x10
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x02] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x04] lapic_id[0x03] enabled)
[    0.000000] ACPI: IOAPIC (id[0x04] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 4, version 255, address 0xfec00000, GSI 0-255
[    0.000000] ACPI: IOAPIC (id[0x05] address[0xfec10000] gsi_base[24])
[    0.000000] IOAPIC[1]: apic_id 5, version 255, address 0xfec10000, GSI 24-279
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a301 base: 0xfed00000
[    0.000000] SMP: Allowing 4 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: 000000000009c000 - 000000000009d000
[    0.000000] PM: Registered nosave memory: 000000000009d000 - 0000000000100000
[    0.000000] PM: Registered nosave memory: 00000000cff80000 - 00000000cff8e000
[    0.000000] PM: Registered nosave memory: 00000000cff8e000 - 00000000cffe0000
[    0.000000] PM: Registered nosave memory: 00000000cffe0000 - 00000000d0000000
[    0.000000] PM: Registered nosave memory: 00000000d0000000 - 00000000e0000000
[    0.000000] PM: Registered nosave memory: 00000000e0000000 - 00000000f0000000
[    0.000000] PM: Registered nosave memory: 00000000f0000000 - 00000000fec00000
[    0.000000] PM: Registered nosave memory: 00000000fec00000 - 00000000fec01000
[    0.000000] PM: Registered nosave memory: 00000000fec01000 - 00000000fec10000
[    0.000000] PM: Registered nosave memory: 00000000fec10000 - 00000000fec11000
[    0.000000] PM: Registered nosave memory: 00000000fec11000 - 00000000fee00000
[    0.000000] PM: Registered nosave memory: 00000000fee00000 - 00000000fee01000
[    0.000000] PM: Registered nosave memory: 00000000fee01000 - 00000000ffe00000
[    0.000000] PM: Registered nosave memory: 00000000ffe00000 - 0000000100000000
[    0.000000] Allocating PCI resources starting at d0000000 (gap: d0000000:10000000)
[    0.000000] Booting paravirtualized kernel on Xen
[    0.000000] Xen version: 4.1.1 (preserve-AD)
[    0.000000] setup_percpu: NR_CPUS:256 nr_cpumask_bits:256 nr_cpu_ids:4 nr_node_ids:1
[    0.000000] PERCPU: Embedded 27 pages/cpu @ffff8801f1eac000 s81024 r8192 d21376 u110592
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 19881243
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: placeholder root=/dev/mapper/vgr1-fc16_root ro console=hvc0
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] Placing 64MB software IO TLB between ffff880196c00000 - ffff88019ac00000
[    0.000000] software IO TLB at phys 0x196c00000 - 0x19ac00000
[    0.000000] Memory: 5806964k/81587200k available (4866k kernel code, 787408k absent, 74992828k reserved, 6783k data, 940k init)
[    0.000000] SLUB: Genslabs=15, HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] NR_IRQS:16640 nr_irqs:1024 16
[    0.000000] xen: sci override: global_irq=9 trigger=0 polarity=0
[    0.000000] xen: acpi sci 9
[    0.000000] xen_map_pirq_gsi: returning irq 9 for gsi 9
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [hvc0] enabled
[    0.000000] allocated 646971392 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.000000] installing Xen timer for CPU 0
[    0.000000] Detected 2671.686 MHz processor.
[    0.000999] Calibrating delay loop (skipped), value calculated using timer frequency.. 5343.37 BogoMIPS (lpj=2671686)
[    0.000999] pid_max: default: 32768 minimum: 301
[    0.000999] Security Framework initialized
[    0.000999] SELinux:  Initializing.
[    0.038997] Dentry cache hash table entries: 16777216 (order: 15, 134217728 bytes)
[    0.100132] Inode-cache hash table entries: 8388608 (order: 14, 67108864 bytes)
[    0.121577] Mount-cache hash table entries: 256
[    0.121803] Initializing cgroup subsys cpuacct
[    0.121812] Initializing cgroup subsys memory
[    0.121848] Initializing cgroup subsys devices
[    0.121853] Initializing cgroup subsys freezer
[    0.121858] Initializing cgroup subsys net_cls
[    0.121862] Initializing cgroup subsys blkio
[    0.121877] Initializing cgroup subsys perf_event
[    0.121941] CPU: Physical Processor ID: 0
[    0.121945] CPU: Processor Core ID: 0
[    0.122571] ACPI: Core revision 20110623
[    0.130004] ftrace: allocating 25203 entries in 99 pages
[    0.131081] Performance Events: unsupported p6 CPU model 23 no PMU driver, software events only.
[    0.131453] NMI watchdog disabled (cpu0): hardware events not enabled
[    0.131557] installing Xen timer for CPU 1
[    0.131693] NMI watchdog disabled (cpu1): hardware events not enabled
[    0.131822] installing Xen timer for CPU 2
[    0.131965] NMI watchdog disabled (cpu2): hardware events not enabled
[    0.132020] installing Xen timer for CPU 3
[    0.132151] NMI watchdog disabled (cpu3): hardware events not enabled
[    0.132186] Brought up 4 CPUs
[    0.132285] devtmpfs: initialized
[    0.144985] PM: Registering ACPI NVS region at cff8e000 (335872 bytes)
[    0.145587] atomic64 test passed for x86-64 platform with CX8 and with SSE
[    0.145609] Grant table initialized
[    0.145638] RTC time: 10:13:36, date: 09/18/11
[    0.145678] NET: Registered protocol family 16
[    0.145766] ACPI: bus type pci registered
[    0.145766] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.145766] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.215525] PCI: Using configuration type 1 for base access
[    0.221301] bio: create slab <bio-0> at 0
[    0.221301] ACPI: Added _OSI(Module Device)
[    0.221301] ACPI: Added _OSI(Processor Device)
[    0.221301] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.221301] ACPI: Added _OSI(Processor Aggregator Device)
[    0.224775] ACPI: Executed 1 blocks of module-level executable AML code
[    0.231177] ACPI: SSDT 00000000cff8e0d0 001D2 (v01    AMI   CPU1PM 00000001 INTL 20060113)
[    0.231835] ACPI: Dynamic OEM Table Load:
[    0.231867] ACPI: SSDT           (null) 001D2 (v01    AMI   CPU1PM 00000001 INTL 20060113)
[    0.232045] ACPI: SSDT 00000000cff8e2b0 00143 (v01    AMI   CPU2PM 00000001 INTL 20060113)
[    0.232706] ACPI: Dynamic OEM Table Load:
[    0.232712] ACPI: SSDT           (null) 00143 (v01    AMI   CPU2PM 00000001 INTL 20060113)
[    0.232956] ACPI: SSDT 00000000cff8e400 00143 (v01    AMI   CPU3PM 00000001 INTL 20060113)
[    0.233575] ACPI: Dynamic OEM Table Load:
[    0.233581] ACPI: SSDT           (null) 00143 (v01    AMI   CPU3PM 00000001 INTL 20060113)
[    0.233827] ACPI: SSDT 00000000cff8e550 00143 (v01    AMI   CPU4PM 00000001 INTL 20060113)
[    0.233973] ACPI: Dynamic OEM Table Load:
[    0.233973] ACPI: SSDT           (null) 00143 (v01    AMI   CPU4PM 00000001 INTL 20060113)
[    0.233973] ACPI: Interpreter enabled
[    0.233973] ACPI: (supports S0 S1 S3 S4 S5)
[    0.233973] ACPI: Using IOAPIC for interrupt routing
[    0.241744] ACPI: No dock devices found.
[    0.241749] HEST: Table not found.
[    0.241753] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.241867] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.241972] pci_root PNP0A08:00: host bridge window [io  0x0000-0x0cf7]
[    0.241972] pci_root PNP0A08:00: host bridge window [io  0x0d00-0xffff]
[    0.241972] pci_root PNP0A08:00: host bridge window [mem 0x000a0000-0x000bffff]
[    0.241972] pci_root PNP0A08:00: host bridge window [mem 0x000d0000-0x000dffff]
[    0.241972] pci_root PNP0A08:00: host bridge window [mem 0xd0000000-0xffffffff]
[    0.244290] pci 0000:00:1f.0: ICH7 LPC Generic IO decode 1 PIO at 0294 (mask 0003)
[    0.245009] pci 0000:01:00.0: disabling ASPM on pre-1.1 PCIe device.  You can enable it with 'pcie_aspm=force'
[    0.245018] pci 0000:00:01.0: PCI bridge to [bus 01-01]
[    0.245532] pci 0000:05:00.0: disabling ASPM on pre-1.1 PCIe device.  You can enable it with 'pcie_aspm=force'
[    0.245541] pci 0000:00:1c.0: PCI bridge to [bus 05-07]
[    0.245953] pci 0000:05:00.0: PCI bridge to [bus 07-07]
[    0.245971] pci 0000:05:00.1: PCI bridge to [bus 06-06]
[    0.248012] pci 0000:00:1c.2: PCI bridge to [bus 04-04]
[    0.249997] pci 0000:00:1c.3: PCI bridge to [bus 03-03]
[    0.250352] pci 0000:02:00.0: disabling ASPM on pre-1.1 PCIe device.  You can enable it with 'pcie_aspm=force'
[    0.250360] pci 0000:00:1c.4: PCI bridge to [bus 02-02]
[    0.250970] pci 0000:00:1e.0: PCI bridge to [bus 08-08] (subtractive decode)
[    0.251428]  pci0000:00: Requesting ACPI _OSC control (0x1d)
[    0.251433]  pci0000:00: ACPI _OSC request failed (AE_NOT_FOUND), returned control mask: 0x1d
[    0.251438] ACPI _OSC control for PCIe not granted, disabling ASPM
[    0.262012] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10 *11 12 14 15)
[    0.262084] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *10 11 12 14 15)
[    0.262155] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6 7 10 11 12 14 15)
[    0.262226] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 10 11 12 14 *15)
[    0.262295] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
[    0.262368] ACPI: PCI Interrupt Link [LNKF] (IRQs *3 4 5 6 7 10 11 12 14 15)
[    0.262438] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 *7 10 11 12 14 15)
[    0.262508] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 10 11 12 *14 15)
[    0.262561] xen/balloon: Initialising balloon driver.
[    0.262566] last_pfn = 0x1373b00 max_arch_pfn = 0x400000000
[    0.621617] xen-balloon: Initialising balloon driver.
[    0.621641] xen/balloon: Xen selfballooning driver disabled for domain0.
[    0.621709] vgaarb: device added: PCI:0000:01:00.0,decodes=io+mem,owns=io+mem,locks=none
[    0.621709] vgaarb: loaded
[    0.621709] vgaarb: bridge control possible 0000:01:00.0
[    0.621709] SCSI subsystem initialized
[    0.621931] usbcore: registered new interface driver usbfs
[    0.621948] usbcore: registered new interface driver hub
[    0.621973] usbcore: registered new device driver usb
[    0.621989] PCI: Using ACPI for IRQ routing
(XEN) mm.c:4976:d0 Global bit is set to kernel page fffff81b8e
(XEN) mm.c:4976:d0 Global bit is set to kernel page fffff81b8e
(XEN) mm.c:4976:d0 Global bit is set to kernel page fffff81118
(XEN) mm.c:4976:d0 Global bit is set to kernel page fffff81117
(XEN) domain_crash_sync called from entry.S
(XEN) Domain 0 (vcpu#0) crashed on cpu#0:
(XEN) ----[ Xen-4.1.1  x86_64  debug=n  Not tainted ]----
(XEN) CPU:    0
(XEN) RIP:    e033:[<ffffffff81118d96>]
(XEN) RFLAGS: 0000000000010282   EM: 0   CONTEXT: pv guest
(XEN) rax: 0000000000000080   rbx: ffff880163985480   rcx: 0000000000000040
(XEN) rdx: 0040000000000080   rsi: ffff880163985480   rdi: ffff880163985480
(XEN) rbp: ffff880163dfaff0   rsp: ffff880163dfafd0   r8:  0000001373ffffff
(XEN) r9:  ffffffff81b8e7fd   r10: 0000ffff00066c0a   r11: 0000000080000000
(XEN) r12: ffffffff81a1cbd0   r13: ffffffff81b8e7fd   r14: 0000001000000000
(XEN) r15: ffffffff81a1cbd0   cr0: 000000008005003b   cr4: 00000000000026f0
(XEN) cr3: 0000000221a05000   cr2: 000000137400002f
(XEN) ds: 0000   es: 0000   fs: 0000   gs: 0000   ss: e02b   cs: e033
(XEN) Guest stack trace from rsp=ffff880163dfafd0:
(XEN)    ffffffff81a1cbd0 0000001373ffffff ffffffff81a1cbd0 ffffffff817a8718
(XEN)    ffff880163dfb040 ffffffff81b8e7fd ffff880163dfb010 ffff880163985480
(XEN)    ffff880163dfb040 0000001373ffffff ffffffff81a1cbd0 ffffffff817a8718
(XEN)    0000001000000000 ffffffff81a1cbd0 ffff880163dfb090 ffffffff81b8e838
(XEN)    ffff880163dfb060 ffff880163985480 ffff880163dfb090 0000001373ffffff
(XEN)    ffffffff81a1cbd0 ffffffff817a8718 0000001000000000 ffffffff81a1cbd0
(XEN)    ffff880163dfb0e0 ffffffff81b8e838 ffff880163dfb0b0 ffff880163985480
(XEN)    ffff880163dfb0e0 0000001373ffffff ffffffff81a1cbd0 ffffffff817a8718
(XEN)    0000001000000000 ffffffff81a1cbd0 ffff880163dfb130 ffffffff81b8e838
(XEN)    ffff880163dfb100 ffff880163985480 ffff880163dfb130 0000001373ffffff
(XEN)    ffffffff81a1cbd0 ffffffff817a8718 0000001000000000 ffffffff81a1cbd0
(XEN)    ffff880163dfb180 ffffffff81b8e838 ffff880163dfb150 ffff880163985480
(XEN)    ffff880163dfb180 0000001373ffffff ffffffff81a1cbd0 ffffffff817a8718
(XEN)    0000001000000000 ffffffff81a1cbd0 ffff880163dfb1d0 ffffffff81b8e838
(XEN)    ffff880163dfb1a0 ffff880163985480 ffff880163dfb1d0 0000001373ffffff
(XEN)    ffffffff81a1cbd0 ffffffff817a8718 0000001000000000 ffffffff81a1cbd0
(XEN)    ffff880163dfb220 ffffffff81b8e838 ffff880163dfb1f0 ffff880163985480
(XEN)    ffff880163dfb220 0000001373ffffff ffffffff81a1cbd0 ffffffff817a8718
(XEN)    0000001000000000 ffffffff81a1cbd0 ffff880163dfb270 ffffffff81b8e838
(XEN)    ffff880163dfb240 ffff880163985480 ffff880163dfb270 0000001373ffffff
(XEN) Domain 0 crashed: rebooting machine in 5 seconds.
Comment 1 Andy Burns 2011-09-21 16:14:00 EDT
Information from Konrad Wilk, shows this to be casued b lck of dom0_mem=??? clause, apparently a patch is heading upstream for this issue.
Comment 2 Andy Burns 2011-09-22 16:24:51 EDT
Confirming that 3.1.0-rc7 fixes this, the new build doesn't seem able to accept karma yet though

Note You need to log in before you can comment on or make changes to this bug.